Subject: Re: bug#39023: binary installation manual doesn't work on Alpine Linux

From: Gábor Boskovits <[email-masked]>
Date: Wed, 22 Jan 2020 20:42:03 +0100

Oops, I missed that.

Tobias Geerinckx-Rice <[email-masked]> ezt írta (időpont: 2020. jan.
22., Sze, 4:53):
>
> Gábor,
>
> Gábor Boskovits 写道：
> > <[email-masked]> ezt írta (időpont: 2020. jan. 7., K,
> > 22:32):
> >> I suggest adding another example which works by default on
> >> busybox.
>
> […]
>
> >> addgroup -S guixbuild
>
> […]
>
> > I assume that the command you gave would work on non-busybox
> > also. I
> > would say we should replace the
> > command we have with this more compatible one.
>
> It doesn't even work on Guix:
>
>   nckx@berlin ~$ adduser
>   -bash: adduser: command not found
>
> Kind regards,
>

I believe these can be implemented using simple manipulation of config files.
Also useradd is part of the linux standard base, while adduser is not.

We could add the busybox example, but it might be better to come up
with something
universal.

There was some upstream discussion to get useradd and groupadd to
busybox upstream,
as this seems to be causing problems everywhere. They told that they
are unwilling to include them as is,
but would accept a wrapper thar forward to their adduser/addgroup
implementation.

> T G-R

Best regards,
g_bor
-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21